Subject: Translation

From: Roberto Reece <[email-masked]>
Date: Wed, 20 Sep 2006 21:47:51 -0500

Dear friends
Regretfully I can not help you with translations into the languages  
posted in your web site, but I can help edit and improve the  
translation that appears in Latino (South American Spanish). It has  
got some mistakes and in some parts does not convey the original  
meaning posted in the English version. Please, let me know if you are  
interested in this little help and how could I do it.
By the way, I am about to debut a radio programme in Quito, Ecuador  
and will promote Darwin Day Celebration activities.

Thanks

Roberto